package com.muyu.cloud.mart.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.mart.mapper.MarketMapper;
import com.muyu.cloud.mart.service.MarketService;
import com.muyu.domain.Market;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.cloud.etl.service.impl
 * @Project：cloud-mart
 * @name：MarketServiceImpl
 * @Date：2024/8/21 21:54
 */
@Service
public class MarketServiceImpl extends ServiceImpl<MarketMapper, Market> implements MarketService {

    @Autowired
    private MarketMapper marketMapper;

    @Override
    public List<Market> findMarketList(Market market) {
        return marketMapper.mybatisplus(market);
    }
}
